#!/bin/bash

set -eu -o pipefail

# Fire up Jekyll with the right configuration
run_jekyll() {
  set -eu

  bundle exec jekyll serve \
    --baseurl "$JEKYLL_BASEURL" \
    --host "$JEKYLL_HOST" \
    --port "$JEKYLL_PORT" \
    --trace
}

# Main entrypoint
main() {
  set -eu

  run_jekyll
}

main
